QGIS has memory leaks/crashes when zooming

2018-03-02 01:24 PM - Georg Wicke

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.18.5 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 26204

Description

Steps to reproduce

1. Open the vector layer provided in this ticket by drag-and-dropping it onto the canvas.

2. (Optional) To provoke the leak faster, you can open the layer multiple times.

3. Observe the memory usage of QGIS.

4. Zoom in and out repeatedly using the mouse wheel.

You should see the memory usage increasing massively until QGIS eats up as much memory as it can get.

I tried this out with bigger layers at first of course, but it seems to work even with this tiny example. I guess it could be the reason for some

random crashes I've been experiencing lately when working with similar (bigger) layers.

No plugins were activated.

History

#1 - 2018-03-02 01:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

Have you tested a more recent version, like 2.18.17 or QGIS 3?

#2 - 2018-08-16 12:02 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.

Files

MemoryLeakTest.zip 40 KB 2018-03-02 Georg Wicke

2024-04-28 1/1


